Sympa::User(3Sympa)

NAME
Sympa::User - All Users Identified by Sympa

DESCRIPTION

  CONSTRUCTOR

new ( EMAIL, [ KEY => VAL, ... ] )
    Create new Sympa::User object.

  METHODS

expire
    Remove user information from user_table.

get_id
    Get unique identifier of object.

moveto
    Change email of user.

save
    Save user information to user_table.

ACCESSORS

<attribute>
<attribute>"( VALUE )"
    Getters/Setters. Get or set user attributes. For example "$user->gecos" returns "gecos" parameter of the user, and "$user->gecos("foo")" also changes it. Basic user profile "email" have only getter, so it is read-only.

  FUNCTIONS

get_users ( ... )
    Not yet implemented.

password_fingerprint ( )
    Returns the password finger print.

hash_type ( )
    detect the type of password fingerprint used for a hashed password

    Returns undef if no supported hash type is detected

update_password_hash ( )
    If needed, update the hash used for the user's encrypted password entry

  OLD STYLE FUNCTIONS

add_global_user
delete_global_user
is_global_user
get_global_user
get_all_global_user
    Obsoleted.

update_global_user

  Miscellaneous

clean_user ( USER_OR_HASH )
clean_users ( ARRAYREF_OF_USERS_OR_HASHES )
    Function. Warn if the argument is not a Sympa::User object. Return Sympa::User object, if any.

    TENTATIVE. These functions will be used during transition between old and object-oriented styles. At last modifications have been done, they shall be removed.